Package: org.codehaus.groovy.grails.commons

## [Java] Class ControllerCacheKey

- org.codehaus.groovy.grails.commons.ControllerArtefactHandler.ControllerCacheKey

- - ### Constructor Summary

    Constructors
    Constructor and description
    `ControllerArtefactHandler.ControllerCacheKey (java.lang.String uri, java.lang.String plugin, java.lang.String namespace)`

  - ### Methods Summary

    Methods
    Type | Name and description
    --- | ---
    `boolean` | `equals(java.lang.Object o)`
    `int` | `hashCode()`

  - ### Inherited Methods Summary

    Inherited Methods
    Methods inherited from class | Name
    --- | ---
    `class java.lang.Object` | `java.lang.Object#wait(long, int), java.lang.Object#wait(long), java.lang.Object#wait(), java.lang.Object#equals(java.lang.Object), java.lang.Object#toString(), java.lang.Object#hashCode(), java.lang.Object#getClass(), java.lang.Object#notify(), java.lang.Object#notifyAll()`

- - ### Constructor Detail

    - #### public ControllerArtefactHandler.ControllerCacheKey(java.lang.String uri, java.lang.String plugin, java.lang.String namespace)

  - ### Method Detail

    - #### @java.lang.Override public boolean equals(java.lang.Object o)

    - #### @java.lang.Override public int hashCode()